For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all vendors
        • GETGet vendor by ID
        • GETGet all vendors by property ID
        • POSTCreate Service Request Vendor: ResMan - Not Supported
        • PUTUpdate Service Request Vendor: ResMan - Not Supported
        • POSTCreate Service Request Vendor file: ResMan - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManVendors

Get vendor by ID

GET
/v1/vendors/:vendor_id
GET
/v1/vendors/:vendor_id
$curl https://api.propexo.com/v1/vendors/vendor_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "fa313-82cf-40a8-8ef7-4235",
17 "x_property_id": "dfs6rfs-680a-41e3-8fa4-3213hgh",
18 "x_location_id": null,
19 "account_number": "9876543210",
20 "is_active": true,
21 "name": "ABC Windows",
22 "notes": null,
23 "tax_id": "987654321",
24 "third_party_id": null,
25 "type": null,
26 "contacts": [
27 {
28 "address_1": "123 Main St",
29 "address_2": "Suite 400",
30 "city": "Boston",
31 "country": "US",
32 "state": "MA",
33 "zip": "02116",
34 "phone": "+1-617-555-1234",
35 "phone_type": "office",
36 "email": "contact@abcwindows.com",
37 "is_primary": true,
38 "name": "John Doe"
39 }
40 ],
41 "custom_data": {},
42 "integration_id": "clwh5u07w000508me66sfh3um",
43 "integration_vendor": "RESMAN",
44 "property_id": "clwi5xiix000008l6ctdgafyh"
45 }
46}
Get vendor by ID
Was this page helpful?
Previous

Get all vendors by property ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

vendor_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error